net.sourceforge.pmd.lang.java.typeresolution

## Class PMDASMClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - net.sourceforge.pmd.lang.java.typeresolution.PMDASMClassLoader

-     public class PMDASMClassLoader
      extends ClassLoader

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getImportedClasses(String name)`
    `static PMDASMClassLoader` | `getInstance(ClassLoader parent)` A new PMDASMClassLoader is created for each compilation unit, this method allows to reuse the same PMDASMClassLoader across all the compilation units.
    `Class<?>` | `loadClass(String name)`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static PMDASMClassLoader getInstance(ClassLoader parent)

      A new PMDASMClassLoader is created for each compilation unit, this method allows to reuse the same PMDASMClassLoader across all the compilation units.

    - #### loadClass

          public Class<?> loadClass(String name)
                             throws ClassNotFoundException

      Overrides:
        `loadClass` in class `ClassLoader`
      Throws:
        `ClassNotFoundException`

    - #### getImportedClasses

          public Map<String,String> getImportedClasses(String name)
                                                throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

Copyright © 2002-2013 InfoEther. All Rights Reserved.